<main class="viewer__container">
  <div class="viewer__columns">
    <header>
      <lib-pageheader
        [pageTitle]="course?.name"
        [superTitle]="'Periode'"
        [buttonText]="'Wijzigen'"
        [buttonImageClass]="'fa fa-edit fa-lg'"
        [actionIsAllowed]="userMayEdit$ | async"
        (action)="onEdit(course?.id)"
      ></lib-pageheader>
    </header>

    <nav>
      <lib-actions [actionsGroup]="actions"></lib-actions>

      <div *ngIf="course.administrativeRemark" class="widget widget--sidebar widget--red">
        <h4 class="widget__header">Opmerking</h4>
        <div class="widget__content">
          <p>{{ course.administrativeRemark }}</p>
        </div>
      </div>
    </nav>

    <article>
      <section>
        <p>{{ course?.shortDescription }}</p>
        <p *ngIf="course?.longDescription" [innerHTML]="course?.longDescription"></p>
      </section>

      <section>
        <h2>Onderwijseenheden</h2>
        <p>Deze periode bevat de volgende onderwijseenheden.</p>
        <div *ngFor="let module of course?.modules">
          <section>
            <h3>
              <a [routerLink]="['/modules', module?.id]">
                {{ module?.name }}
              </a>
            </h3>
            <p>{{ module?.shortDescription }}</p>
          </section>
        </div>
      </section>
    </article>

    <aside>
      <!-- <inzicht-entity-detail [entity]="course"></inzicht-entity-detail> -->
      <inzicht-course-info [course]="course"></inzicht-course-info>
    </aside>

    <footer>
      <!-- <pre *ngIf="debug">{{ course | json }}</pre> -->
    </footer>
  </div>
</main>
